.testimonials-section {
    margin-bottom: 60px;

    .title {
        font-size: 40px;
        text-align: center;

        @media only screen and (max-width: 991px) {
            font-size: 39.6px;
        }

        @media only screen and (max-width: 768px) {
            font-size: 36px;
        }
    }

    .cmp-title__text {
        font-weight: bold;
    }

    .text {
        text-align: center;
        font-size: 22px;
        font-weight: 500;
        padding-bottom: 32px;
        margin-top: 5px;

        @media only screen and (max-width: 991px) {
            font-size: 18px;
            padding-bottom: 0;
            margin-top: 0;
        }

        @media only screen and (max-width: 768px) {
            font-size: 17px;
            padding-bottom: 0;
        }
    }
}



// HDFC Home Loan scss
// Note: !important used to override other css file.
.testimonials-carousel {
    text-align: center;
    padding: 0 75px;
    margin-bottom: 0;

    @media screen and (max-width: 991px) {
        padding: 0;
    }

    .view-content {
        .testimonials-carousel {
            .hdfc-testimonial-box-wrapper {
                @media screen and (max-width: 991px) {
                    height: 344px;
                    width: 95%;
                    margin: 10px 27px 0;
                }

                .hdfc-testimonial-box-container {
                    .hdfc-testimonial-box-desc {
                        font-size: 22px;

                        @media screen and (max-width: 991px) {
                            height: auto;
                        }
                    }
                }

                .hdfc-testimonial-box-title-wrapper {
                    position: absolute;
                    bottom: 10px;
                    left: 40px;
                }
            }
        }
    }
}

.view-content {
    .testimonials-carousel {
        .hdfc-testimonial-box-wrapper {
            .hdfc-testimonial-box-container {
                @media screen and (max-width: 540px) {
                    height: auto;
                }
            }
        }
    }
}

.view-content {
    .testimonials-carousel {
        .hdfc-testimonial-box-wrapper {
            // margin: 10px 0px 0;
            position: relative;

            @media screen and (max-width: 1125px) {
                margin: 10px 30px 0;
            }

            @media screen and (max-width: 991px) {
                margin: 10px 20px 0;
            }
        }
    }
}

.view-content {

    .hdfc-testimonials-view-all {
        margin-bottom: 28px;

        @media screen and (max-width: 991px) {
            margin-bottom: 0px;
        }
    }

    .testimonials-carousel {
        padding: 0 55px;

        @media screen and (max-width: 1130px) {
            padding: 0 20px;
            margin: 0 20px;
        }

        @media screen and (max-width: 991px) {
            padding: 0 4px;
            margin: 0;
        }

        text-align: center;

        .slick-list {
            @media screen and (min-width: 1100px) {
                padding: 0;
            }

            .slick-track {
                margin: 0 auto;
                padding: 0 10px;
                display: flex;

                @media screen and (max-width: 1130px) {
                    padding: 0 6px;
                }

                @media screen and (max-width: 991px) {
                    padding: 0 2px;
                }
            }
        }

        .slick-prev {
            position: absolute;
            left: 17px;
            top: 50%;
            font-size: 0;
            border-radius: 50px;
            width: 42px;
            height: 42px;
            z-index: 1;
            border: 1px solid #e90000;
            background-color: #fff;
            box-shadow: 0 6px 15px 0 rgba(0, 0, 0, 0.15);

            @media screen and (max-width: 1100px) {
                left: 18px;
                top: 45%;
            }

            @media screen and (max-width: 1023px) {
                left: 40px;
                top: 40%;
            }


            @media screen and (max-width: 768px) {
                left: -4px;
            }

            @media screen and (max-width: 500px) {
                height: 30px;
                width: 30px;
                left: -10px;
            }

            &:after {
                content: "\f104";
                z-index: 2;
                font-family: 'Font Awesome 6 Free';
                font-weight: 900;
                font-size: 20px;
                color: #e90000;
                // margin: 4px 4px 0 0;
                opacity: 0.6;

                @media screen and (max-width: 500px) {
                    font-size: 16px;
                }
            }
        }

        .slick-next {
            position: absolute;
            right: 0;
            top: 50%;
            font-size: 0;
            border-radius: 50px;
            width: 42px;
            height: 42px;
            z-index: 1;
            border: 1px solid #e90000;
            background-color: #fff;
            box-shadow: 0 6px 15px 0 rgba(0, 0, 0, 0.15);

            @media screen and (max-width: 1100px) {
                right: 8px;
                top: 45%;
            }

            @media screen and (max-width: 1023px) {
                right: 40px;
                top: 40%;
            }

            @media screen and (max-width: 900px) {
                right: 37px;
            }

            @media screen and (max-width: 768px) {
                right: -9px;
            }

            @media screen and (max-width: 500px) {
                width: 30px;
                height: 30px;
                right: -12px
            }

            &:after {
                content: "\f105";
                z-index: 2;
                font-family: 'Font Awesome 6 Free';
                font-weight: 900;
                font-size: 20px;
                color: #e90000;
                // margin: 4px 4px 0 0;
                opacity: 0.6;

                @media screen and (max-width: 500px) {
                    font-size: 16px;
                }
            }
        }

        // .slick-dots {
        //     display: flex;
        //     justify-content: center;
        //     margin: 0;
        //     padding: 1rem 0;
        //     list-style-type: none;

        //     li {
        //         background: none;
        //         display: inline-block;
        //         height: 14px;
        //         width: 14px;
        //         margin: 0 3px;
        //         padding: 0;
        //         vertical-align: middle;
        //         transform: scale(0.9);

        //         @media screen and (max-width: 991px) {
        //             height: 8px;
        //             width: 8px;
        //         }

        //         button {
        //             background: #c9c9c9;
        //             border: none;
        //             color: transparent;
        //             cursor: pointer;
        //             height: 10px;
        //             width: 10px;
        //             border-radius: 50%;
        //             overflow: hidden;
        //             padding: 0;
        //             vertical-align: top;
        //             text-indent: -9999px;
        //         }

        //         &.slick-active {
        //             transform: scale(0.9);

        //             @media screen and (max-width: 991px) {
        //                 transform: scale(1);
        //             }

        //             &.slick-current {
        //                 transform: scale(1);
        //                 background-color: #00f;
        //             }

        //             button {
        //                 background: #00334e;
        //                 height: 100%;
        //                 margin: -3px 0 0;
        //                 opacity: 1;
        //                 width: 100%;

        //                 @media screen and (max-width: 991px) {
        //                     margin: 1px 0 0;
        //                 }
        //             }
        //         }
        //     }
        // }

        .hdfc-testimonial-box-wrapper {
            height: 312px;
            width: 370px;
            display: inline-block;
            vertical-align: top;
            background-color: #ebebeb;
            border: solid .9px #f7f7f7;
            padding: 65px 20px 3px;
            border-radius: 20px;
            text-align: left;

            &:after {
                content: '';
                border-bottom: 2px solid #e90000;
                position: absolute;
                width: 94%;
                bottom: 0px;
                left: 0;
                right: 0;
                margin: auto;

                // @media screen and (max-width: 991px) {
                //     margin-left: 0px;
                // }
            }

            .hdfc-testimonial-box-container {
                height: 100%;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
            }

            @media screen and (max-width: 1600px) {
                padding: 65px 20px 26px;
            }

            @media screen and (max-width: 991px) {
                padding: 60px 10px 30px;
                margin-bottom: 6px;
                margin-top: 20px;
                width: 44%;
                height: 280px;
            }

            @media screen and (max-width: 767px) {
                width: 30%;
            }

            @media screen and (max-width: 540px) {
                width: 80%;
            }

            &:before {
                content: "\f10e";
                font-family: 'Font Awesome 6 Free';
                font-weight: 900;
                transform: rotate(180deg);
                position: absolute;
                top: 0;
                color: #b2b2b2;
                left: 20px;
                font-size: 3em;

                @media screen and (max-width: 991px) {
                    left: 30px;
                }
                @media screen and (max-width: 768px) {
                    left: 38px;
                }
                @media screen and (max-width: 600px) {
                    left: 26px;
                }
                @media screen and (max-width: 480px) {
                    left: 28px;
                    font-size: 2.5em;
                    top: 12px;
                }
            }

            .hdfc-testimonial-box-container {
                @media screen and (max-width: 1600px) {}

                @media screen and (max-width: 991px) {
                    height: auto;
                }

                .mCustomScrollbar,
                .mCustomScrollbar.mCS_touch_action,
                .mCustomScrollbar.mCS_touch_action .mCS-aviva.mCSB_scrollTools {
                    -ms-touch-action: auto;
                    touch-action: auto;
                }

                .mCustomScrollBox {
                    -ms-touch-action: pan-x;
                    touch-action: pan-x;
                }

                .mCustomScrollBox.mCSB_vertical_horizontal {
                    -ms-touch-action: auto;
                    touch-action: auto;
                }

                .mCustomScrollBox.mCSB_horizontal {
                    -ms-touch-action: pan-y;
                    touch-action: pan-y;
                }
            }

            .hdfc-testimonial-box-title {
                font-weight: bold;
                text-transform: capitalize !important;
                padding-bottom: 18px;
                color: #000;
                font-size: 14px;
                line-height: 1.5;

                @media screen and (max-width: 1600px) {
                    // font-size: 1.1em;
                    padding-bottom: 6px;
                }

                @media screen and (max-width: 991px) {
                    height: auto;
                    font-size: 13px;
                }
            }

            .hdfc-testimonial-box-location {
                font-size: 15px;
                color: #2b3940;
                font-weight: 600;
                opacity: 0.85;
                margin-bottom: 10px;

                @media screen and (max-width: 1600px) {
                    font-size: 15px;
                    margin-bottom: 0;
                }
                @media screen and (max-width: 991px) {
                    font-size: 12px;
                }
            }

            .hdfc-testimonial-box-desc {
                overflow: auto;
                font-size: 17px;
                position: relative;
                padding: 0 2px 6px 0;
                line-height: 1.38;
                // height: 3px;

                @media screen and (max-width: 1600px) {
                    height: 148px;
                }

                @media screen and (max-width: 991px) {
                    // height: 140px;
                    font-size: 13px;
                    height: 75px;
                    margin-bottom: 55px;
                    padding: 0px 2px 0px 0px;
                }
                // @media screen and (max-width: 768px){
                   
                // }

                p {
                    margin-bottom: 0;
                    font-size: 20px;
                    font-weight: normal;
                    font-stretch: normal;
                    font-style: normal;
                    line-height: 1.36;
                    letter-spacing: normal;
                    text-align: left;
                    color: #000;
                    padding-bottom: 50px;

                    @media screen and (max-width: 1600px) {
                        line-height: 1.38;
                    }

                    @media screen and (max-width: 991px) {
                        font-size: 16px;
                    }

                    @media screen and (max-width: 767px) {
                        font-size: 18px;
                        padding: 0 18px;
                    }
                }
            }

            .hdfc-testimonial-box-desc::-webkit-scrollbar {
                width: 3px;
                cursor: pointer;;
                background: #b2b2b2;
            }
            .hdfc-testimonial-box-desc::-webkit-scrollbar-track {
                background: rgba(0,0,0,0.1);
            }
            .hdfc-testimonial-box-desc::-webkit-scrollbar-thumb {
                background: #d6d4d4;
            }
            .hdfc-testimonial-box-desc:hover::-webkit-scrollbar-track {
                background: rgba(0,0,0,0.2);
            }

            &.slick-slide {
                // transition: transform .4s;
                position: relative;
                // transform: scale(0.8);
                z-index: 30;
                margin: 14px 12px 18px;

                @media screen and (max-width: 991px) {
                    // transform: scale(0.9);
                    margin: 36px 24px 22px;
                }

                @media screen and (max-width: 768px) {
                    // transform: scale(0.9);
                }

                >div {
                    transform: scale(1);
                    transition: transform .3s cubic-bezier(.4, 0, .2, 1);
                    position: relative;
                    padding:0;
                    @media screen and (max-width: 991px){
                        padding: 15px 3% 0;;
                    }

                    @media screen and (max-width: 768px){
                        padding: 19px 8% 0;;
                    }

                }

                &.slick-cloned {
                    // transform: scale(0.8);

                    @media screen and (max-width: 1125px) {
                        // transform: scale(0.9);
                    }

                    @media screen and (max-width: 991px) {
                        // transform: scale(0.8);
                    }
                }

                &.slick-active {
                    // transform: scale(0.9);

                    @media screen and (max-width: 991px) {
                        // transform: scale(0.8);
                    }

                    @media screen and (max-width: 768px) {
                        // transform: scale(0.9);
                    }

                    &.slick-current.slick-center {
                        // transform: scale(1);
                        z-index: 30;
                    }

                    &.slick-current.slick-center {
                        +.slick-slide {
                            // transform: scale(0.9);
                            z-index: 10;

                            +.slick-slide {
                                // transform: scale(0);
                            }
                        }
                    }
                }

                &.slick-current {
                    &.slick-center {
                        // transform: scale(1);
                        z-index: 30;

                        +.slick-slide {
                            // transform: scale(1);

                            +.slick-slide {
                                // transform: scale(1);
                            }
                        }
                    }
                }

                &.slick-center {
                    >div {
                        // transform: scale(1);
                    }
                }
            }
        }
    }
}

.view-footer {
    font-size: 1em;
    margin: 0;
    padding: 8px 40px;
    display: inline-block;
    min-width: 140px;
    cursor: pointer;
    margin-top: 30px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.78;
    letter-spacing: normal;
    color: #e90000;
    text-transform: capitalize;
    margin-top: 0;

    &:after {
        content: "\e931";
        font-family: icomoon;
        font-size: .75em;
        margin: 0 0 0 10px;
        color: #e90000;
    }

    @media screen and (max-width: 991px) {
        font-size: 1em;
        padding: 6px 40px;
    }
}
.hdfc-testimonial-box-title-wrapper {
    height: 40px;
}
// IE 
.ie {
    .view-content {
        .testimonials-carousel {
            .hdfc-testimonial-box-wrapper {
                .hdfc-testimonial-box-desc {

                    &:before,
                    &:after {
                        left: 50%;
                    }
                }
            }
        }
    }
}
